Package tigase.osgi

## Class AbstractActivator

- java.lang.Object
- - tigase.osgi.AbstractActivator

- All Implemented Interfaces:
    `java.util.EventListener`, `org.osgi.framework.BundleActivator`, `org.osgi.framework.ServiceListener`
  Direct Known Subclasses:
    `Activator`

      public abstract class AbstractActivator
      extends java.lang.Object
      implements org.osgi.framework.BundleActivator, org.osgi.framework.ServiceListener

  Common activator which should be extended by any OSGi module which will be used by Tigase XMPP Server in OSGi mode.
  Created by andrzej on 08.09.2016.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected java.util.Set<java.lang.Class<?>>` | `classesToExport` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractActivator()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `serviceChanged​(org.osgi.framework.ServiceEvent event)` |
    `void` | `start​(org.osgi.framework.BundleContext bc)` |
    `void` | `stop​(org.osgi.framework.BundleContext bc)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### classesToExport

          protected java.util.Set<java.lang.Class<?>> classesToExport

  - ### Constructor Detail

    - #### AbstractActivator

          public AbstractActivator()

  - ### Method Detail

    - #### start

          public void start​(org.osgi.framework.BundleContext bc)
                     throws java.lang.Exception

      Specified by:
        `start` in interface `org.osgi.framework.BundleActivator`
      Throws:
        `java.lang.Exception`

    - #### stop

          public void stop​(org.osgi.framework.BundleContext bc)
                    throws java.lang.Exception

      Specified by:
        `stop` in interface `org.osgi.framework.BundleActivator`
      Throws:
        `java.lang.Exception`

    - #### serviceChanged

          public void serviceChanged​(org.osgi.framework.ServiceEvent event)

      Specified by:
        `serviceChanged` in interface `org.osgi.framework.ServiceListener`